<ion-header>
    <ion-navbar>
      <ion-title>
        Panturrilha
      </ion-title>
      <ion-buttons end>
        <div class="icone-imagem">
          <img src="{{ photo }}" class="icone-imagem" (click)="addPerfil2()">
        </div>
      </ion-buttons>
 <!--
        
      <ion-buttons end>
        <button ion-button icon-only (click)="addPanturrilha()">
          <ion-icon name="add-circle"></ion-icon>
        </button>
      </ion-buttons>

    -->
    </ion-navbar>
  </ion-header>

  <ion-content padding >
   <div class="titulo-testes">Resultados</div>
   <ion-item>
     <div style="text-align: center">
      <div class="regiao_grafico">
          <div class="numeros">45<br>40<br>35<br>30<br>25<br>20<br>15
          </div>
          <div class="fundo_grafico">
          </div>
          <div class="linhas">
          </div>
          <div *ngFor="let panturrilha of panturrilhas; let n=index" >

            <div *ngIf="panturrilha.circunferencia<46">
        <div class="calculo" [ngStyle]="{'margin-top': (390-((panturrilha.circunferencia)*8.9)) + 'px', 'margin-left': (27+(n*47.8)) + 'px'}" *ngIf="n<6" (click)="editPanturrilha(panturrilha.id_panturrilha)">
              <span class='texto-grafico'>{{panturrilha.circunferencia2}}</span>
              </div>
              </div>
              <div *ngIf="panturrilha.circunferencia>=46">
                  <div class="calculo" [ngStyle]="{'margin-left': (27+(n*47.8)) + 'px'}" *ngIf="n<6" (click)="editPanturrilha(panturrilha.id_panturrilha)" >
                      <span class='texto-grafico'>{{panturrilha.circunferencia2}}</span>
                      </div>
                      </div>
             <div class="vertical-text"  [ngStyle]="{'margin-left': (4+(n*46)) + 'px'}" *ngIf="n<6">
                {{panturrilha.data_exame | date:"dd/MM/yyyy"}}
             </div> 
          </div>
          
        </div>
        </div>
   </ion-item>
   <ion-item>
     <span class="legenda-principal">Legenda:</span><br><br>
     <span class="legenda-interna"><img src="../assets/imgs/circulo_verde.png" class="circ">Acompanhamento de Rotina</span><br>
     <span class="legenda-interna"><img src="../assets/imgs/circulo_amarelo.png" class="circ">Atenção</span><br>
     <span class="legenda-interna"><img src="../assets/imgs/circulo_vermelho.png" class="circ">Ação</span><br>
   </ion-item>
   
    <ion-list *ngFor="let panturrilha2 of panturrilhas2; let i=index"  >
        <div class="titulo-testes" *ngIf="i==6">Resultados anteriores:</div>
      <ion-item-sliding *ngIf="i>5" class="transparente ">
        
        <ion-item style="margin:0; padding:0; border-bottom: 1px solid; border-color:#B9B9B9" class="transparente">           
        
          <div class="quebra" (click)="editPanturrilha(panturrilha2.id_panturrilha)">
           <span *ngIf="(panturrilha2.circunferencia >= 35)">
             <div class="circulo_testes"><img src="assets/imgs/circulo_verde.png"></div><div class="texto-data">{{panturrilha2.data_exame | date:"dd/MM/yyyy"}}</div><div class="circulo-texto">Acompanhamento<br>de Rotina</div></span>
            <span *ngIf="(panturrilha2.circunferencia >= 31) && (panturrilha2.circunferencia <35) "><div class="circulo_testes"><img src="assets/imgs/circulo_amarelo.png"></div><div class="texto-data">{{panturrilha2.data_exame | date:"dd/MM/yyyy"}}</div><div class="circulo-texto2">Atenção<br></div></span>
            <span *ngIf="(panturrilha2.circunferencia < 31)"><div class="circulo_testes"><img src="assets/imgs/circulo_vermelho.png"></div><div class="texto-data">{{panturrilha2.data_exame | date:"dd/MM/yyyy"}}</div> <div class="circulo-texto2">Ação<br></div></span>
            
        
            <br>
              </div>
               <div class="quebra" >
            
           

            
              <button ion-button color="danger" (click)="deletePanturrilha(panturrilha.id_panturrilha)">
                <ion-icon name="trash"></ion-icon>
              </button>
            </div>
           
        </ion-item>
       
          </ion-item-sliding>
          


    </ion-list>
  

  </ion-content>
  <ion-footer>
  </ion-footer>
